<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		<title>reveal.js – The HTML Presentation Framework</title>

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>

		<!--[if lt IE 9]>
		<script src="lib/js/html5shiv.js"></script>
		<![endif]-->
	</head>

	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">
				<section data-markdown>
					<textarea data-template>
						![gitlab-ci](gitlab.png)
					</textarea>
				</section>
				<section data-markdown>
					<textarea data-template>
						## Gitlab-CI
						* artifacts
						* registry
						* [Packages](https://docs.gitlab.com/ee/user/packages/)
						* [predifined variables](https://docs.gitlab.com/ee/ci/variables/predefined_variables.html)
						* protected and masked variables
					</textarea>
				</section>
				<section data-markdown>
					<textarea data-template>
						## Runners 
						* shared
						* specific
						* group
						* local
					</textarea>
				</section>
				<section data-markdown>
					<textarea data-template>
						###  Executors
						* Shell.
						* Docker.
						* Docker Machine and Docker Machine SSH (autoscaling).
						* VirtualBox.
						* SSH.
						* Kubernetes. 
					</textarea>
				</section>
				<section data-markdown>
					<textarea data-template>
						## API
						* Triggers
						* [Chatops](https://docs.gitlab.com/ee/ci/chatops/)
						* Hooks
						* [Scheduled pipelines](https://docs.gitlab.com/ee/ci/pipelines/schedules.html)
					</textarea>
				</section>
				<section data-markdown>
					<textarea data-template>
						## [Autodevops](https://docs.gitlab.com/ee/topics/autodevops/)
					</textarea>
				</section>
				<section data-markdown>
					<textarea data-template>
						## Pages
						* custom domain and cert
						* variety of lenguages
						* [templates](https://gitlab.com/pages)
					</textarea>
				</section>
				<section data-markdown>
					<textarea data-template>
						## Deployment safety
						* Resource groups
						 * [Deploy freeze](https://docs.gitlab.com/ee/api/freeze_periods.html)
						 * Rollback/retry
						 * Skip outdated deployment jobs
						 * Manual execution
						 * Deploy tokens
					</textarea>
				</section>
				<section data-markdown>
					<textarea data-template>
						## Licence
					</textarea>
				</section>
			</div>

		</div>

		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.js"></script>

		<script>

			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					{ src: 'lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: 'plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'plugin/search/search.js', async: true },
					{ src: 'plugin/zoom-js/zoom.js', async: true },
					{ src: 'plugin/notes/notes.js', async: true }
				]
			});

		</script>

	</body>
</html>
